# Android
export NDK_ROOT=${HOME}/Sovellukset/android/android-ndk-r9d
export ANT_ROOT=/usr/bin/
export ANDROID_SDK_ROOT=${HOME}/Sovellukset/android/sdk
export ANDROID_HOME=${HOME}/Sovellukset/android/sdk
export PATH=$NDK_ROOT:$PATH
export PATH=$ANDROID_SDK_ROOT:$PATH
export PATH=$ANDROID_SDK_ROOT/tools:$PATH
export PATH=$ANDROID_SDK_ROOT/platform-tools:$PATH

# Cocos and Ionic
export COCOS_CONSOLE_ROOT=${HOME}/Sovellukset/cocos2d-js-v3.6.1/tools/cocos2d-console/bin
export IONIC_INSTALL=${HOME}/Asiakirjat/Work/Android/ionic/node_modules/.bin
export PATH=$IONIC_INSTALL:$COCOS_CONSOLE_ROOT:$PATH

# npm without sudo
# https://github.com/sindresorhus/guides/blob/master/npm-global-without-sudo.md
export NPM_PACKAGES=${HOME}/.npm-packages
export NODE_PATH=$NPM_PACKAGES/lib/node_modules:$NODE_PATH
export PATH=$NPM_PACKAGES/bin:$PATH

# Local
export PATH=/usr/local/bin:$PATH
export PATH=${HOME}/.local/bin:$PATH

# Own scripts
export LANXU_SCRIPTS_ROOT=${HOME}/Scripts
export PATH=$LANXU_SCRIPTS_ROOT:$PATH

# Other
#export XDG_CURRENT_DESKTOP=gnome
# export QT_STYLE_OVERRIDE='adwaita'
# qt5-styleplugins must be installed to set this to gtk2
#export QT_QPA_PLATFORMTHEME="qt5ct"
#export QT_AUTO_SCREEN_SCALE_FACTOR=0
#export QT_SCALE_FACTOR=1

# Wine
export WINEARCH=win64 # Set default winearch to win64
export WINEDLLOVERRIDES=winemenubuilder.exe=d # No more desktop files!

# Npm with no sudo
# https://github.com/sindresorhus/guides/blob/master/npm-global-without-sudo.md
export NPM_PACKAGES="${HOME}/.npm-packages"
export NODE_PATH="$NPM_PACKAGES/lib/node_modules:$NODE_PATH"
export PATH="$NPM_PACKAGES/bin:$PATH"
export PATH="${HOME}/.dotnet:$PATH"

# Emscripten
#export EMSDK="${HOME}/Koodit/github/emsdk"
#export EM_CONFIG="${HOME}/.emscripten"
#export EMSCRIPTEN="${HOME}/Koodit/github/emsdk/emscripten/incoming"
#export BINARYEN_ROOT="${HOME}/Koodit/github/emsdk/binaryen/master_64bit_binaryen"
#export PATH="${HOME}/Koodit/github/emsdk:${HOME}/Koodit/github/emsdk/clang/e1.37.16_64bit:${HOME}/Koodit/github/emsdk/node/4.1.1_64bit/bin:${HOME}/Koodit/github/emsdk/emscripten/incoming:${HOME}/Koodit/github/emsdk/binaryen/master_64bit_binaryen/bin:$PATH"

# LUA
#export LUA_PATH='/home/lanxu/.luarocks/share/lua/5.3/?.lua;/home/lanxu/.luarocks/share/lua/5.3/?/init.lua;/usr/share/lua/5.3/?.lua;/usr/share/lua/5.3/?/init.lua;/usr/lib/lua/5.3/?.lua;/usr/lib/lua/5.3/?/init.lua;./?.lua;./?/init.lua'
#export LUA_CPATH='/home/lanxu/.luarocks/lib/lua/5.3/?.so;/usr/lib/lua/5.3/?.so;/usr/lib/lua/5.3/loadall.so;./?.so'

# Rust
export PATH="${HOME}/.cargo/bin:$PATH"

# Caffe
export CAFFE_DIR="${HOME}/Koodit/github/caffe/build/install"

# Terminal
export TERMINAL=kitty
#export TERMINAL=alacritty # Does not support ligatures / Fira Code
export TERMCMD=$TERMINAL
# Start X on tty1 automatically
#if systemctl -q is-active graphical.target && [[ ! $DISPLAY && $XDG_VTNR -eq 1 ]]; then
#  exec startx
#fi
export WORKON_HOME="${HOME}/Envs"
